Jump to content
Дизайн и модификация IPS Community IPBSkinsBETA
Search In
  • More options...
Find results that contain...
Find results in...
Sign in to follow this  
Qartvela™

Сделал для своего форума Inline Uploader

Recommended Posts

Мне кажется, что нужно научиться писать заголовки топиков уважаемому Ритсуке, чтобы меньше было таких вот моментов.

Чтобы не-было таких моментов надо читать, и делать это желательно пару раз, убедится что все правильно поняли, потому уже высказывать какие-то "недовольства". А заголовок вполне информативный, все тех подробности находятся в описании, и если при этом возникнут какие-то вопросы - нужно поинтересоваться в теме поддержке, для чего она собственно и существует.

 

Мне кажется, не стоит так драматизировать. Очень часто людям, особенно программистам, не хватает умения доносить свои мысли публике адекватно.

Очень часто это зависит от "адекватности" публики.

Share this post


Link to post
Share on other sites

"Спасибо".

 

тему закрываю до:

Модеров прошу очистить эту тему от OFF

Share this post


Link to post
Share on other sites

Qartvela™, посмотрите на этот пост:

 

http://ipbskins.ru/forum/topic6401.html/page__view__findpost__p__42015

 

Насколько я понимаю, до сих пор должно работать.

 

По поводу "наездов" от Zero108 - а что вы ожидали от человека, перепродающего купленый у IBR перевод? Файл от февраля 2012, в описании написано - работает с 3.2+. Уже в 3.3 редактор переделали, и мод отвалился. При такой текучке версий и таких "благодарных" пользователях желания поддерживать моды нет совсем.

  • Upvote 2
  • Downvote 1

Share this post


Link to post
Share on other sites

По поводу "наездов" от Zero108 - а что вы ожидали от человека, перепродающего купленый у IBR перевод? Файл от февраля 2012, в описании написано - работает с 3.2+. Уже в 3.3 редактор переделали, и мод отвалился. При такой текучке версий и таких "благодарных" пользователях желания поддерживать моды нет совсем.

Ох, поторопились вы этого гиперактивного товарища в команду ipbskins включить... Как то это, для меня, сразу планку ресурса понизило. До этого говорил, что вот на этом сайте спецы матерые, а теперь что то язык не поворачивается. :)

За офтоп извиняюсь, но удивляет такой форсированный набор команды, невзирая на личности. Я этим движком всего год занимаюсь относительно плотно и специалистом себя не считаю пока. А тут репогонщика явного ассоциировали...

 

P.S. Что касается мода, то у меня на 3.3.4 нормально работает он.

  • Upvote 1
  • Downvote 1

Share this post


Link to post
Share on other sites

По поводу "наездов" от Zero108 - а что вы ожидали от человека, перепродающего купленый у IBR перевод?

 

Вы путаете теплое с мокрым, мне кажется.

 

Не пишите больше модов, а то IPS и так уже набрало по IP Board более 17000 багов, а тут еще вы.. Умножаете мои печали. И мир будет вам благодарен ;)

Share this post


Link to post
Share on other sites

Qartvela™, посмотрите на этот пост:

 

http://ipbskins.ru/f...dpost__p__42015

 

 

define( 'FORUM_PATH', '/home/www/domains/site/public_html/');
require_once( FORUM_PATH . 'admin/api/member/api_member_login.php' );
$ipbMemberLoginApi = new apiMemberLogin();
$ipbMemberLoginApi->init();
$member = $ipbMemberLoginApi->getMember();
$id = ($member['member_id']);

 

спасибо огромное . все получилось!

Share this post


Link to post
Share on other sites

Не забудьте тут же проверить на $id == 0 и послать таких "гостей" куда подальше. Вы же только для авторизованных хотите аплоад сделать? ;)

 

Не пишите больше модов.

Если таково мнение члена IPBSkinsTeam - преклоняюсь перед ним, и ничего более на этом форуме выкладывать и писать не буду, и бейджик с себя сниму. А вы на досуге найдите мой аккаунт на IPS, и посмотрите на количество моих багрепортов и патчей, что были приняты в апстрим, не говоря уже о десятках закрытых с моей помощью уязвимостей. Но я все понимаю, IPBSkins отныне - не для умных людей, и написав три "инструкции" и продав чужой языковой пакет как свой, любой тут получает права модератора и может указывать всем остальным, что им делать и куда идти. Жаль. А когда-то был полезный форум.

 

Желаю всем остающимся тут творческих успехов и бесперебойной работы форумов. Пока!

Share this post


Link to post
Share on other sites

Не забудьте тут же проверить на $id == 0 и послать таких "гостей" куда подальше. Вы же только для авторизованных хотите аплоад сделать?

аплоадером госты и так не могут пользоваться, он прикреплен к Fast Reply

Share this post


Link to post
Share on other sites

Но я все понимаю, IPBSkins отныне - не для умных людей, и написав три "инструкции" и продав чужой языковой пакет как свой, любой тут получает права модератора и может указывать всем остальным, что им делать и куда идти. Жаль. А когда-то был полезный форум.

 

Желаю всем остающимся тут творческих успехов и бесперебойной работы форумов. Пока!

Ну, так-то горячиться не нужно, батенька... Думаю, это тело тут явление временное. Зачем же из-за одного скудоумного бросать ресурс то? Фисана форум забросила, теперь Вы, печально совсем получится. Ведь не ради бейджей и благодарных, или не очень, школьников вы тут столько лет работали в самом деле? Вы тут администратор системный, насколько я понимаю, вот и удалите лучше сомнительных специалистов.

Share this post


Link to post
Share on other sites

Снимаю шляпу перед вашим решением. Это правильно: если отказываетесь от IPB, то советы ваши уже не могут быть актуальными. Этот движок развивается достаточно быстро. Постоянно выходят какие-то патчи и обновления. Вчера вот 3.4.2 вышел. Много, что исправилось. Успехов вам в других областях.

 

А вот обвинять не нужно. Перевод переделан на 90% и постоянно обновляется.

Share this post


Link to post
Share on other sites

Здравствуйте.

 

Нужно обновиться для IPB 3.4.5

 

Этот код работает на 3.1.4

require_once( FORUM_PATH . 'admin/api/member/api_member_login.php' );
$ipbMemberLoginApi = new apiMemberLogin();
$ipbMemberLoginApi->init();
$member = $ipbMemberLoginApi->getMember();
$id = ($member['member_id']);

 

Для 3.4.5 нужно совсем другой :( Не помню где копать, долго уже этим не занимаюсь, но пришлось...

Share this post


Link to post
Share on other sites

Для 3.4.5 нужно совсем другой Не помню где копать, долго уже этим не занимаюсь, но пришлось...

Что именно не работает? Ошибки?

Share this post


Link to post
Share on other sites

admin/api/member/api_member_login.php

Надо вызвать по другому

Share this post


Link to post
Share on other sites

Надо вызвать по другому

Что значит "вызвать"?

Share this post


Link to post
Share on other sites

Если загрузка файла не получается нужно создать текстовый файл и записать там ID пользователя.

 

        $today            = date("Y-m-d H:i:s");
       $thelink          = $_SERVER['HTTP_REFERER'];
       $ip               = $_SERVER['REMOTE_ADDR'];
       $errorlogfilename = 'error_' . date("Y_m_d");
       $file_path        = "logs/error/$errorlogfilename.txt";
       $data_to_write    = "$today - $id - IP: $ip - $thelink\n";
       $file_handle      = fopen($file_path, 'a+');
       fwrite($file_handle, $data_to_write);
       fclose($file_handle);

 

Думаю можно через:

 

require_once( FORUM_PATH . '/admin/sources/base/ipsMember.php' );
Но дальше не получается
$id = '?';

ipsMember.rar

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this  

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...